# Getting Started

Gradient Works allows you to turn [Salesforce Flow](https://help.salesforce.com/s/articleView?id=sf.flow.htm\&type=5) into an incredibly capable lead routing, account matching and round-robin assigning automation engine. To do this, we take the built-in power of Flow and enhance it with 30+ actions you can drag and drop right in as [elements](https://help.salesforce.com/s/articleView?id=sf.flow_ref_elements.htm\&type=5) in your Flows.

Flow is built into Salesforce. If you and your team aren't yet familiar with Flow, Salesforce offers some great [resources](https://trailhead.salesforce.com/content/learn/trails/build-flows-with-flow-builder). Gradient Works customers get the full power of our CS team of Flow experts to help with any implementation questions.

### Introducing the ABK

We call our collection of actions the Automation Builder Kit (ABK). Each action is carefully crafted to provide you with enhanced capabilities that integrate into Flow.

For example, the [Match Lead to Account](https://docs.gradient.works/kb/automation-builder-kit-abk/actions/matching/matchleadtoaccountaction) action provides configurable matching logic that you can edit right in Flow Builder while providing [information about the matched accounts](https://docs.gradient.works/kb/automation-builder-kit-abk/models/leadtoaccountmatch) that you can use in your Flow logic to [convert leads](https://docs.gradient.works/kb/automation-builder-kit-abk/actions/leads/convertleadaction) or make [assignments](https://docs.gradient.works/kb/automation-builder-kit-abk/actions/assignment/assignsingleitemaction).

### Actions and Models

The ABK is separated into [actions](https://docs.gradient.works/kb/automation-builder-kit-abk/actions) (e.g. assign record, convert lead) that show up as Flow elements and "[models](https://docs.gradient.works/kb/automation-builder-kit-abk/models)" that provide specific data you can use as inputs and outputs to other Flow elements. Think of these as similar to custom objects, but built specifically for interacting with the ABK.

### Configuration, Inputs and Outputs

Most actions require some form of configuration in Flow Builder to provide them the appropriate inputs to do their work. For example, a round robin assignment needs to know which record to assign and what round robin queue to use. You'll provide these by wiring up outputs of a previous Flow action (such as [Get Records](https://help.salesforce.com/s/articleView?id=sf.flow_ref_elements_data_get.htm\&type=5)) as inputs into the ABK actions.

Most actions provide outputs in the form of data you can use later on in the Flow. One of the most common forms of output is the [assignment](https://docs.gradient.works/kb/automation-builder-kit-abk/models/assignment). Most of the [assignment actions](https://docs.gradient.works/kb/automation-builder-kit-abk/actions/assignment) provide those outputs.

Note that in many cases, Salesforce Flow requires that you store output fields in variables by using the "Advanced" section in Flow Elements.

### Common Use Cases

The most common use case for the Gradient Works ABK is inbound lead routing, but you can the ABK to automate many types of business processes, from responding to ABM signals by notifying and assigning reps to performing capacity-balanced handoffs from one rep to another.

Check out the common tasks to see how the ABK can help you automate.

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-type="content-ref"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Match</strong></td><td>Maintain data hygiene by matching leads to accounts, contacts or other leads.</td><td></td><td><a href="actions/matching">matching</a></td><td><a href="actions/matching">matching</a></td></tr><tr><td><strong>Assign</strong></td><td>Assign any records (leads, accounts) to users fairly using intelligent round robin capabilities.</td><td></td><td><a href="actions/assignment">assignment</a></td><td></td></tr><tr><td><strong>Act</strong></td><td>Send Slack Messages, create Tasks, enroll people in sales engagement cadences.</td><td></td><td><a href="actions/next-steps">next-steps</a></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
